java.beans

## Class IntrospectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.beans.IntrospectionException

- All Implemented Interfaces:
    Serializable

      public class IntrospectionException
      extends Exception

  Thrown when an exception happens during Introspection.

  Typical causes include not being able to map a string class name to a Class object, not being able to resolve a string method name, or specifying a method name that has the wrong type signature for its intended use.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntrospectionException(String mess)` Constructs an `IntrospectionException` with a detailed message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IntrospectionException

          public IntrospectionException(String mess)

      Constructs an `IntrospectionException` with a detailed message.
      Parameters:
        `mess` - Descriptive message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.